//
//  Copyright (c) 1999-2004 by AudioCodes USA, Inc.
//  All rights reserved.
//
//  NTiWFAPI.h
//      SmartWORKS WF API declaration file
//
//  AUDIOCODES USA, INC. PROPRIETARY.
//

#ifndef _INC_NTIWFAPI_H
#define _INC_NTIWFAPI_H

#if WIN32
#include <pshpack1.h>
#endif

// NOTE: User application should include either afxmt.h or windows.h before including
//          this header file.
//#include <afxmt.h>
//#include <windows.h>

#include<legends.h>

#ifndef MT_RESULT
typedef DWORD               MT_RESULT;              // result value
#endif

typedef void (*MTWFCOMPLETE)( BOARD nBoard, DWORD dwReason, LPARAM lParam );

_DLLIMPEXPORT MT_RESULT CALLING_CONVENTION
MTWFInit( VOID );

_DLLIMPEXPORT MT_RESULT CALLING_CONVENTION
MTWFUninit( VOID );

_DLLIMPEXPORT MT_RESULT CALLING_CONVENTION
MTWFUpdateFirmware(
    const BOARD nBoard,
    PCSTR pFileName,
    MTWFCOMPLETE CompletionRoutine,
    LPARAM lParam
);

_DLLIMPEXPORT MT_RESULT CALLING_CONVENTION
MTWFGetUpdatingStatus(
    const BOARD nBoard,
    PULONG const percentage
);

/*
// Following return codes are additional
#define     MTWF_ERR_BASE               0xE0004000L
// Invalid bin file type
#define     MT_RET_INVALID_BIN          (MTWF_ERR_BASE+1)
// bin file doesn't match with board
#define     MT_RET_BIN_NOT_MATCH        (MTWF_ERR_BASE+2)
// failed to load ntidrv.dll
#define     MT_RET_NTIDRV_LOAD_FAILED   (MTWF_ERR_BASE+3)
// failed to load ntidrv.dll
#define     MT_RET_MULTI_NTIDRV_LOADED  (MTWF_ERR_BASE+4)
*/

#if WIN32
#include <poppack.h>
#endif

#endif
