#ifndef STEP_UDPIPSEND_H
#define STEP_UDPIPSEND_H

#include <string>
using std::string;

#include "step.h"

class StepUDPIPSend : public Step
{
   public:

      StepUDPIPSend(STEPREC& stepRecord);
      virtual ~StepUDPIPSend(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string peer;
      string port;
      string socketHandle;
      string message;
      bool hexString;
};

#endif