#ifndef STEP_GETLETTER_H
#define STEP_GETLETTER_H

#include "step_tones.h"

class StepGetLetter : public StepTones
{
   public:

      enum LetterType
      {
         alphaOnly,
         numbersOnly,
         alphaNumeric
      };

      enum QZLocation
      {
         qzUseZero,
         qzUse7or9
      };

      StepGetLetter(STEPREC& stepRecord);
      virtual ~StepGetLetter(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      LetterType ltrTypeToCollect;
      QZLocation qzLocation;
      string varName;
      string timeout;
};

#endif
