#include "step_hangup.h"
#include "..\BoardDLLs\brd_generic.h"

StepHangup::StepHangup(STEPREC& stepRecord) : Step(stepRecord)
{
   bReturnHangup = stepRecord.u1 == 2;
}

StepHangup::~StepHangup(void)
{
}

const char* StepHangup::GetStepName(void) const
{
	return("Hang Up");
}

IV_STATUS StepHangup::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

	if(PortRequired(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FATAL);
   }

   return(pInfo->ivBoard->Hangup(bReturnHangup));
}
