#ifndef STEP_SWITCH_H
#define STEP_SWITCH_H

#include "step.h"

class StepSwitch : public Step
{
   public:

      StepSwitch(STEPREC& stepRecord);
      virtual ~StepSwitch(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string line2;     // second port
      bool  bListenOnly;  // listen-only mode, true = half-duplex, false = full-duplex (default)
};

#endif
