#ifndef STEP_VARCOMPARE_H
#define STEP_VARCOMPARE_H

#include "step.h"
#include "iv_math2.h"

class StepVarCompare : public Step
{
   public:

      StepVarCompare(STEPREC& stepRecord);
      virtual ~StepVarCompare(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      CMP_FN iFn;
      VAR_TYPE iType;
      string varA;
      string varB;
      string strType;
};

#endif
