#ifndef STEP_VOCPASSAUTH_H
#define STEP_VOCPASSAUTH_H

#include "step.h"

class StepVocPassAuth : public Step
{
   public:

      StepVocPassAuth(STEPREC& stepRecord);
      virtual ~StepVocPassAuth(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string userID;           // s1 : User ID
      string authFactor;			// s5 : Authorization factor setting
      string maxTime;				// s6 : Max record time in milliseconds.
      bool disableBeep;          // u1 : disable beep (0 = beep enabled, 1 = beep disabled)
};

#endif
