
/* -------------------------------------------------------------------------
   File:        BRD_LOAD.H
   ------------------------------------------------------------------------- */
#ifndef BRD_LOAD_H
#define BRD_LOAD_H

#include "..\BoardDLLs\brd_generic.h"
#include "..\escutil\export_declarations.h"

HINSTANCE LoadBoardFunctions(Log* sysLog, char* pszBoardDLL);

void UnloadBoardFunctions();

void ReleaseInstance (BoardGeneric *obj);

BoardGeneric* CreateInstance (PIVRINFO pInfo);

bool OpenHardwareDriver(Log *sysLog);
bool CloseHardwareDriver(Log *sysLog);

#endif
