#ifndef __SIPREQUEST_H__
#define __SIPREQUEST_H__

#ifdef __DLL__
#define SIPREQUESTAPI __declspec(dllexport)
#else
#define SIPREQUESTAPI __declspec(dllimport)
#endif

#include "InternetMessage.h"

class SIPREQUESTAPI SIPRequest : public InternetMessage
{
   public:

      SIPRequest(void);
      ~SIPRequest(void);

      virtual const char* GetMethod(void);
      virtual const char* GetURI(void);
      virtual const char* GetVersion(void);
      virtual void SetMethod(const char* text);
      virtual void SetURI(const char* text);
      virtual void SetVersion(const char* text);

   protected:

      string method;
      string uri;
      string version;
};

#endif

