// a header file for the configuration service API
#ifndef CSAPI_INCLUDED
#define CSAPI_INCLUDED

#ifdef __cplusplus 
#define EXTC extern "C"
extern "C" {
#else 
#define EXTC 
#endif
#ifdef  CSAPI_HOME
#define CSAPI __declspec(dllexport)
#else
#define CSAPI __declspec(dllimport)
#endif

// Operations status codes
#define CS_SUCCESS			0
#define CS_MOREDATA			0x1
#define CS_BADDATA			0x2
#define CS_ENTRYNOTFOUND	0x4
#define CS_BADENTRY			0x8
#define CS_NOTACTIVATED		0x10
#define CS_FAIL				0x8000


// API functions
EXTC CSAPI BOOL csReadFromStorage();
EXTC CSAPI DWORD csFlushBuffer();
EXTC CSAPI WORD csReadData(DWORD dwID, LPVOID lpvBuf, DWORD *pdwSize);
EXTC CSAPI WORD csWriteData(DWORD dwID, LPVOID lpvBuf, DWORD *pdwSize);
EXTC CSAPI BOOL csRemoveData(DWORD dwID);

#ifdef __cplusplus 
}
#endif

#endif // CSAPI_INCLUDED