//internal header file for the configuration service API
#ifndef CSDEFS_INCLUDED
#define CSDEFS_INCLUDED

#define MAXENTRIES		32

// main descriptor 
#define CS_MASTER		0L	// Master descriptor 

// Data hierarchy includes 2 parts:
// 1. The main descriptor for the entire storage	
// 2. The entries (records). Each is preceded by descriptor. 

typedef struct _csdescriptor {
	DWORD dwSize;
	DWORD dwType; 
	} CSDESCR, *PCSDESCR;

typedef struct _csstorage {
	CSDESCR Descr;		// head
	BYTE	pbData[1];		// the rest
} CSSTOR, *PCSSTOR;

// Init & cleanup & internal stuff
BOOL csInit();
void csClose();	


#endif // CSAPI_INCLUDED