//
//  Copyright (c) 1999-2002 by AudioCodes USA, Inc.
//  All rights reserved.
//
//  legends.h
//      SmartWORKS API Common Interface Marco Definitions
//
//  AUDIOCODES USA, INC. PROPRIETARY.
//

#ifndef  _INC_LEGENDS_H
#define  _INC_LEGENDS_H

// NOTE: User application should include either afxmt.h or windows.h before including
//          this header file.
//#include <afxmt.h>
//#include <windows.h>


#if defined ( __cplusplus )
    #define CINTERFACE extern "C"
#else
    #define CINTERFACE
#endif

#ifndef LINUX
    #define DllExport       CINTERFACE __declspec(dllexport)
    #define DllImport       CINTERFACE __declspec(dllimport)
#else
    #define DllExport
    #define DllImport
    #define DLLIMPEXPORT
#endif

    #define DLLEXPORT           DllExport

#ifdef __DLL
    #define _DLLIMPEXPORT       DllExport
#else
    #define _DLLIMPEXPORT       DllImport
#endif

#ifndef LINUX
    #define CALLING_CONVENTION      __stdcall
    #define CPP_CALLING_CONVENTION  __cdecl
#else
    #define CALLING_CONVENTION
    #define CPP_CALLING_CONVENTION
#endif

#ifdef LINUX
#include "MS_Types.h"
#endif


#endif

// End of Legends.h
