#ifndef STEP_SIPREGISTER_H
#define STEP_SIPREGISTER_H

#include <string>
using std::string;

#include "step.h"

class SIPRegister : public Step
{
   public:

      SIPRegister(STEPREC& stepRecord);
      virtual ~SIPRegister(void);

   	const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string registrar;
      string URIToRegister;
      string registrant;
      string contact;
      string expirationTime;
      string responseVar;
      string timeout;
};

#endif