#ifndef STEP_TCPIPCONNECT_H
#define STEP_TCPIPCONNECT_H

#include <string>
using std::string;

#include "step.h"

class StepTCPIPConnect : public Step
{
   public:

      StepTCPIPConnect(STEPREC& stepRecord);
      virtual ~StepTCPIPConnect(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string host;
      string port;
      string timeout;
      string socketHandleVariable;
      bool isSSLEnabled;
};

#endif