#ifndef STEP_RUNTAP_H
#define STEP_RUNTAP_H

#include "step.h"
#include "tap.h"

class StepRunTAP : public Step
{
   public:

      StepRunTAP(STEPREC& stepRecord);
      virtual ~StepRunTAP(void);

      const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string TAPName;
      string parmList;
      bool maintainSQLList;      

      IV_STATUS RunTAP(PIVRINFO pInfo, PIVRINFO pOldInfo, TAP* tap);
      IV_STATUS RunTAPSEH(PIVRINFO pInfo, PIVRINFO pOldInfo, TAP* tap);
};

#endif
