#ifndef STEP_TEXTSPEECH_H
#define STEP_TEXTSPEECH_H

#include "step.h"

class StepTextSpeech : public Step
{
   public:

      StepTextSpeech(STEPREC& stepRecord);
      virtual ~StepTextSpeech(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      bool bInt;                          // u1  : Flag: Is play interruptable?
      string serverIP;                  // s1  : IP of TTS server
		string serverIPPort;              // s2  : IP port of TTS server
      string connectionTimeout;         // s3  : Initial connection timeout
      string timeout;                   // s4  : Overall timeout
      string text;                      // s6  : Value to say
};

#endif
