#ifndef STEP_WAITFORCALL_H
#define STEP_WAITFORCALL_H

#include "step.h"

class StepWaitForCall : public Step
{
   public:

      StepWaitForCall(STEPREC& stepRecord);
      virtual ~StepWaitForCall(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      bool bPickup;

      string timeout;      // s2 : seconds before timeout
      string ring;         // s3 : rings before pickup
      string callerID;     // s4 : variable to capture Caller ID (ANI)
      string calledID;     // s5 : variable to capture Called ID (DNIS)
      string display;      // s6 : var to capture handset display info (D/42 cards only)
      string numdigits;    // s7 : number of digits to expect (CAS/wink-start only)
      string connectDelay; // s8 : delay after connecting before proceeding to next step
};

#endif
